# $Revision: 1.16 $, $Date: 2006/12/13 23:50:13 $
# ToDo:
# - fix pl description [?]
%define		_modname	vld
%define		_status		beta
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - provides functionality to dump the internal representation of PHP scripts
Summary(pl):	%{_modname} - dostarcza funkcjonalnoci do zrzutu wewntrznej reprezentacji skryptw PHP
Name:		php-pecl-%{_modname}
Version:	0.8.0
Release:	7
License:	BSD style
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	00351344ed03a6eea6219e1db25aa660
Patch0:		%{name}-php51.patch
URL:		http://pecl.php.net/package/vld/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Vulcan Logic Disassembler hooks into the Zend Engine and dumps all
the opcodes (execution units) of a script.

In PECL status of this package is: %{_status}.

%description -l pl
Vulcan Logic Disassembler przyczepia si do Silnika Zend i zwraca
wszystkie opcody (jednostki wykonawcze) skryptu.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c
%patch0 -p1

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so
%doc %{_modname}-%{version}/{Changelog,CREDITS}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-vld.spec,v $
Revision 1.16  2006/12/13 23:50:13  glen
- rel 7 (php 5.2.0)

Revision 1.15  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.14  2005/12/23 00:01:35  adamg
- fix build with php5.1
- release 6

Revision 1.13  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.12  2005/10/30 13:29:27  glen
- rel 4

Revision 1.11  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.10  2005/09/14 22:39:45  glen
- rel 2

Revision 1.9  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.8  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.7  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.6  2005/02/05 20:42:35  adamg
- updated to 0.8.0

Revision 1.5  2004/10/24 20:16:09  paladine
- spelling fixes, uppercases, etc.

Revision 1.4  2004/05/30 16:02:13  adamg
- fixed english information about status of the package (also s/PEAR/PECL/)

Revision 1.3  2003/10/15 17:37:05  adamg
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

Revision 1.2  2003/10/07 20:57:21  adamg
- do not use macros in URL

Revision 1.1  2003/09/18 20:08:00  adamg
- initial import
